package testScanner;

import java.io.File;
import java.util.Scanner;

public class EchoOnlyWords {

  public static void main(String[] args) throws Exception {
    Scanner input = null;
    try {
        input = new Scanner(new File("text.txt"));
    } catch(Exception ex) {
        ex.printStackTrace();
        System.exit(0);
    }
    
    input.useDelimiter("[ \t\n\r0-9,.\"\\-]");

    while (input.hasNext()) {
      String word = input.next();
      if (word.length() > 0) {
        System.out.println(word);
      }
    }

  }
}
