package testScanner;

import java.io.File;
import java.util.Scanner;

public class EchoSentences {

    public static void main(String[] args) throws Exception {
        Scanner input = null;
        try {
            input = new Scanner(new File("text.txt"));
        } catch (Exception ex) {
            ex.printStackTrace();
            System.exit(0);
        }

        input.useDelimiter("[.!?]");

        int sentenceCount = 0;
        while (input.hasNext()) {
            String sentence = input.next();
            System.out.println(sentence);
            sentenceCount++;
        }

        System.out.println("The text contains " + sentenceCount + " sentences.");
    }
}
